Module modKarten
    Public KartenNr As New ArrayList         ' kartenbilder
    Public ZeichneKarte As New ArrayList     ' karten in Form1

    Public SpielKarten() As Karten ' übergabe der benutzerdefinierten daten
    Public Structure Karten
        Public strFarbe As String    ' kartenfarbe karo, herz...
        Public strName As String     ' kartenname zwei, bube
        Public intWert As Integer    ' bube = 11
    End Structure

    Public Sub KartenZuweisung()
        Dim i As Integer
        Dim Karten(55) As Karten '-- mit 3 jokern
        '---------- daten festlegen
        For i = 1 To 13
            Karten(i).strFarbe = "Karo"
            Karten(i + 13).strFarbe = "Herz"
            Karten(i + 26).strFarbe = "Pik"
            Karten(i + 39).strFarbe = "Kreuz"
        Next
        For i = 1 To 52 Step 13
            Karten(i).strName = "Zwei" : Karten(i).intWert = 2
            Karten(i + 1).strName = "Drei" : Karten(i + 1).intWert = 3
            Karten(i + 2).strName = "Vier" : Karten(i + 2).intWert = 4
            Karten(i + 3).strName = "Fünf" : Karten(i + 3).intWert = 5
            Karten(i + 4).strName = "Sechs" : Karten(i + 4).intWert = 6
            Karten(i + 5).strName = "Sieben" : Karten(i + 5).intWert = 7
            Karten(i + 6).strName = "Acht" : Karten(i + 6).intWert = 8
            Karten(i + 7).strName = "Neuen" : Karten(i + 7).intWert = 9
            Karten(i + 8).strName = "Zehn" : Karten(i + 8).intWert = 10
            Karten(i + 9).strName = "Bube" : Karten(i + 9).intWert = 11
            Karten(i + 10).strName = "Dame" : Karten(i + 10).intWert = 12
            Karten(i + 11).strName = "König" : Karten(i + 11).intWert = 13
            Karten(i + 12).strName = "As" : Karten(i + 12).intWert = 1
        Next
        For i = 53 To 55
            Karten(i).strName = "Joker" : Karten(i).intWert = 0 : Karten(i).strFarbe = "Rot"
        Next
        Karten(0).strName = "Joker" : Karten(0).strFarbe = "Rot" : Karten(0).intWert = 0
        '---------- 
        SpielKarten = Karten     ' übergabe der struktur
    End Sub
End Module
